Subject: Re: co-authoring commits

From: [email-masked]
Date: Wed, 17 Jun 2015 14:17:49 -0700

On Wed, Jun 17, 2015 at 01:57:12PM -0700, Junio C Hamano wrote:
> Tuncer Ayaz <[email-masked]> writes:
> 
> > On Wed, Jun 17, 2015 at 9:58 PM, Junio C Hamano wrote:
> >> Tuncer Ayaz <[email-masked]> writes:
> >>
> >> > Is this something that breaks the design and would never be
> >> > implemented,
> >>
> >> Yes.
> >
> > Junio, thanks for the quick response.
> >
> > I suppose things have changed since Jonathan Nieder's response in [1]
> > (2010),...
> 
> I do not think there is anything changed.  Jonathan was being a bit
> more diplomatic and academic than I am.
> 
> "There is no reason in principle some faraway future version of Git
> could" is _always_ true as a mental masturbation without taking
> reality into account, aka "Sounds doable but a lot of trouble" means
> "it is doable but it is dubious that it is worth doing".

What happens in old versions of git if you try to look at a signed git
commit?  The same level of interoperability used there would work here,
with the additional property that this would be optional metadata so we
might be able to make read-only access work with older versions.

- Josh Triplett